{{- if .Values.backup.enabled }}
apiVersion: argoproj.io/v1alpha1
kind: CronWorkflow
metadata:
  name: {{ printf "%s-backup-check" (include "nextcloud.fullname" .) }}
  generateName: {{ printf "%s-backup-check-" (include "nextcloud.fullname" .) }}
  namespace: {{ .Release.Namespace }}
  labels:
    app.kubernetes.io/name: {{ printf "%s-backup-check" (include "nextcloud.fullname" .) }}
    app.kubernetes.io/component: backup
    {{- include "nextcloud.labels" . | nindent 4 }}
spec:
  schedule: {{ .Values.backup.schedule.check | quote }}
  concurrencyPolicy: Forbid
  startingDeadlineSeconds: 0
  successfulJobsHistoryLimit: {{ .Values.backup.successfulJobsHistoryLimit }}
  failedJobsHistoryLimit: {{ .Values.backup.failedJobsHistoryLimit }}
  workflowSpec:
    workflowTemplateRef:
      name: {{ printf "%s-backup-check" (include "nextcloud.fullname" .) }}
    ttlStrategy: {}
{{- end }}
